@mixin SidebarButtonStyle
    background-color: #202939
    color: #868686
    border-radius: 7px
    width: 100%
    border: none
    padding: 14px
    transition: all .2s
    &:hover
        cursor: pointer
        opacity: .7
    &:disabled
        opacity: .7
        cursor: initial

.divisionLine
    border-bottom: 1px solid
    border-color: #86868647
    margin: 41px 0
.videoEditor
    max-width: 100vw
    padding: 21px 0
    box-sizing: border-box
    height: calc(100vh - 56px)

.FrameNavigation
    height: 100px
    display: flex
    justify-content: space-between
    align-items: center
    padding: 0 21px
.frameIndexCounter
    text-align: center
    color: #868686
    font-size: 12px
    padding: 11px 0
.navigationButton
    border: none
    cursor: pointer
    background-color: #0b0f19
    height: 100px
    border-radius: 7px
    box-sizing: border-box
    margin: 4px
    padding: 0 11px
    display: block
    color: #868686
    &:active
        background-color: #000
.maskModeButton, .activeMaskModeButton
    // font-size: 50px
    border-radius: 7px
    padding: 7px
    &:hover
        cursor: pointer
.maskModeButton
    color: white
    border: 1px solid #0b0f19
    --fa-primary-color: rgba(255, 255, 255, 0.8)
    --fa-secondary-color: rgba(255, 255, 255, 0.8)
    --fa-secondary-opacity: 0.5
    background-color: rgba(0, 0, 0, .5)
.activeMaskModeButton
    color: white
    --fa-primary-color: rgba(255, 255, 255, 0.7)
    border: 1px solid darkred
    background-color: darkred
.frameMosaicRemoveButton
    box-sizing: border-box
    display: flex
    justify-content: center
    button
        background-color: #0b0f19
        color: #868686
        border-radius: 7px
        border: none
        padding: 7px 14px
        transition: all .2s
        &:hover
            cursor: pointer
            opacity: .7
.frameTools
    padding: 11px
    display: flex
    column-gap: 30px
    align-items: center
    justify-content: center
.timelineThumbnails
    display: flex
    overflow-x: auto
    overflow-y: hidden
    white-space: nowrap
    box-sizing: border-box
    margin: 7px
    border-radius: 7px
    background-color: white

    &::-webkit-scrollbar
        display: none
    img
        object-fit: cover
        width: 97px
        height: 97px
        box-sizing: border-box
        transition: all .2s
        &:hover
            cursor: pointer
            opacity: .7

.mainColumn
    // border: 1px solid blue
    display: flex
    height: 100%
.mainSidebar
    // border: 1px solid green
    width: 300px
    padding: 0 21px
.mainCanvas
    background-color: #202939
    border-radius: 7px
    padding: 21px 0
    width: calc( 100% - 300px )
    min-width: 700px
    margin: 0 21px 0 0

.konvaCanvas
    display: flex
    justify-content: center
    align-items: center
    margin: auto auto auto
    transition: all .2s
    position: relative
.processedMarker
    position: absolute
    top: 0
    right: -24px
    z-index: 100
    font-size: 14px
    color: orange
.CanvasWithNavigation
    display: flex
    justify-content: space-between
    flex-direction: column
    height: 100%
.onChangeFileDroparea
.fileUploadingProgressInfo
    color: #868686
    display: flex
    justify-content: center
    align-items: center
    flex-direction: column
    height: 100%
    font-size: 14px
    div
        margin-bottom: 9px
    @keyframes blink
        0%, 100%
            opacity: 1
        50%
            opacity: .5
    animation: blink 1s linear infinite

.fileDropPlaceholder
    color: #868686
    display: flex
    justify-content: center
    align-items: center
    flex-direction: column
    height: 100%
    transition: all .2s
    svg
        font-size: 180%
        margin-bottom: 9px
    &:hover
        cursor: pointer
        opacity: .7

.penSize
    width: 100%
    padding: 11px 0
    box-sizing: border-box
    input
        width: 100%
.rangeField
    display: flex
    [type="range"]
        flex: 9
    [type="number"]
        flex: 1
        text-align: center
        background-color: #0b0f19
        color: #868686
        border: none
    input::-webkit-outer-spin-button,
    input::-webkit-inner-spin-button
        -webkit-appearance: none
        margin: 0


.navLabelStyle
    color: #868686
    font-size: 12px
    margin-bottom: 7px
    margin-left: 7px

.fileResetButton
    margin: 21px auto
    width: 100%
    box-sizing: border-box
    display: flex
    justify-content: center
    button
        @include SidebarButtonStyle
    svg
        margin-left: 7px

@keyframes blinkEffect
    0%, 100%
        background-color: #4589dd
    50%
        background-color: #5a82a4

button.blinkEffect
    color: #000
    animation: blinkEffect 1s linear infinite

.modelSelector
    padding-bottom: 27px
    > div
        margin-bottom: 21px
        h3
            color: #868686
            font-size: 12px
            margin-bottom: 7px
        select
            border: none
            border: 1px solid #868686
            display: block
            width: 100%
            background-color: #0b0f19
            color: #868686
            border-radius: 7px
            padding: 14px
            -webkit-appearance: none
            appearance: none
    button
        @include SidebarButtonStyle
        &:active
            background-color: #000
    transition: all .2s
    svg
        margin-left: 7px

.targetFrameRange
    padding-bottom: 21px
    h3
        color: #868686
        font-size: 12px
        margin-bottom: 7px
.targetFrameRangeChildren
    width: 100%
    display: flex
    // gap: 21px
    justify-content: space-between
    color: white
    align-items: center
    > div
        width: 100%
        label
            display: none
        input
            border: 1px solid
            border-color: #868686
            background-color: #0b0f19
            border-radius: 7px
            padding: 14px
            color: #868686
            display: block
            width: 100%
            box-sizing: border-box
            text-align: center
        div
        &:first-child, &:last-child
            flex: 6
        &:nth-child(2)
            flex: 1
            background-color: #868686
            height: 1px

.toolVisible
    margin-top: 14px
    @keyframes fadeInUp
    from
        opacity: 0
        transform: translateY(-20px)

    to
        opacity: 1
        transform: translateY(0)

    .fadeInUp
    animation: fadeInUp 0.5s ease-out forwards
